# listen

inline fun <T : Event> listen(priority: EventPriority = EventPriority.NORMAL, ignoreCancelled: Boolean = false, crossinline onEvent: (T) -> Unit): SingleListener<T>
Content copied to clipboard

## Parameters

ignoreCancelled

if manual cancellation should be ignored

onEvent

the event callback

priority

the priority when multiple listeners handle this event

T

the type of event to listen to